
<div class="menu-hamburger-mobile">
  <div class="menu-hamburger-circle-background">
    <fa-icon [icon]="faBars"  (click)="toggleMenuDisplay()" [ngClass]="{'menu-hamburger-mobile-display': menuDisplay}"></fa-icon>
    <fa-icon *ngIf="menuDisplay===true"  [icon]="faTimes" (click)="toggleMenuDisplay()"></fa-icon>
  </div>
</div>

<div class="menu-container menu-container-mobile" @fadeIn (window:resize)="onResize($event)" [ngClass]="{'menu-container-mobile-display': menuDisplay}">
  <div
    class="menu-item"
    *ngFor="let item of items;"
    [routerLink]="'/aside/'+item.link"
    (click)="select(item); toggleMenuDisplay()"
    [ngClass]="{'menu-active': isActive(item), 'menu-item-hide': item.canHide} ">
    <div class="menu-icon" [ngClass]="{'menu-icon-fa': item.library==='font-awesome'}">
      <i *ngIf="item.library==='material'" class="material-icons"> {{item.icon}} </i>
      <fa-icon *ngIf="item.library==='font-awesome'" [icon]="item.icon"></fa-icon>
    </div>
    <div class="menu-name">
      {{item.name}}
    </div>
  </div>
</div>
